Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • uuid string Required
application/json

Body

  • account_uuids array[string(uuid)]

    The UUIDs of the accounts who should own the goal. These must only be client accounts.

  • name string

    The goal's name.

    Maximum length is 255.

  • description string

    The goal's description.

    Maximum length is 5000.

  • target_amount integer

    The goal's target amount.

    Minimum value is 0.

  • progress integer

    The goal's progress as a percentage.

    Minimum value is 0, maximum value is 100.

  • timeframe string | null

    The goal's timeframe.

    Maximum length is 255.

  • complete_goal_by string(date)

    The goal's deadline as a specific date.

  • priority integer

    The goal's priority on a scale from 1 to 5.

    Minimum value is 1, maximum value is 5.

  • shown_on_circles boolean

    Determines if goal should be shown on a circle.

  • visible_to_circles_uuids array[string(uuid)]

    Circles UUIDs that can view the goal when filtering goals by circles. Leaving blank means the goal will be visible for all circles which contains the goal owners.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • name string

      The goal's name.

    • description string

      The goal's description.

    • target_amount object

      The goal's target amount.

      Hide target_amount attributes Show target_amount attributes object
      • amount object
        Hide amount attributes Show amount attributes object
        • example string
        • description string
      • formatted object
        Hide formatted attributes Show formatted attributes object
        • example string
        • description string
      • currency object
        Hide currency attributes Show currency attributes object
        • example string
        • description string
    • progress string

      The goal's progress as a percentage.

    • timeframe string

      The goal's timeframe.

    • complete_goal_by string

      The goal's deadline as a specific date.

    • priority string

      The goal's priority on a scale from 1 to 5.

    • shared_owner_type string

      Denotes if the goal is shared across the client or belongs to one of the owners of the client. (Only applicable for joint/business/trust clients)

    • shared_owner object

      The owner of the goal. Only provided if the shared_owner_type is "individual".

      Hide shared_owner attributes Show shared_owner attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm string
      • primary_phone_number string
      • primary_email string
      • current_time_entry string
      • assigned_adviser string
      • assigned_administrator string
      • assigned_paraplanner string
      • introduced_by string
      • business_unit string
      • groups string
      • tags string
      • owners string
      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • terms_of_business_at string
      • client_agreement_at string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle string
      • circles string
      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • permissions object
        Hide permissions attributes Show permissions attributes object
        • firm:read array[string]
        • network:read array[string]
      • custom_fields string
      • external_references string
PUT /api/v2/goals/{uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v2/goals/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"account_uuids":["d918051d-8af2-48a6-a8f9-54b3c242d979","a0a8e4ab-d610-465c-aa10-9b4b90dfb261","4b4f93a3-dcf3-4838-9c23-82396ebdd7c7"],"name":"Reduced Mileage","description":"Reduce the amount of gas spent yearly.","target_amount":500,"progress":68,"timeframe":"Within the year.","complete_goal_by":"2027-05-19","priority":4,"shown_on_circles":false,"visible_to_circles_uuids":["891b2396-5435-4dac-88cd-96d3ea561987","af71cc8a-0a45-4ace-8cfd-12b69422fa4f","0f836277-b976-47bd-9eef-cbc157569f32"]}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "account_uuids": [
    "d918051d-8af2-48a6-a8f9-54b3c242d979",
    "a0a8e4ab-d610-465c-aa10-9b4b90dfb261",
    "4b4f93a3-dcf3-4838-9c23-82396ebdd7c7"
  ],
  "name": "Reduced Mileage",
  "description": "Reduce the amount of gas spent yearly.",
  "target_amount": 500,
  "progress": 68,
  "timeframe": "Within the year.",
  "complete_goal_by": "2027-05-19",
  "priority": 4,
  "shown_on_circles": false,
  "visible_to_circles_uuids": [
    "891b2396-5435-4dac-88cd-96d3ea561987",
    "af71cc8a-0a45-4ace-8cfd-12b69422fa4f",
    "0f836277-b976-47bd-9eef-cbc157569f32"
  ]
}
Response examples (200)
{
  "uuid": "86201085-00c5-4ede-aa0d-ad4705e7ada1",
  "created_at": "2026-05-19T18:31:18+01:00",
  "updated_at": "2026-05-19T18:31:18+01:00",
  "name": "Reduced Mileage",
  "description": "Reduce the amount of gas spent yearly.",
  "target_amount": {
    "amount": {
      "example": "4000",
      "description": "Money amount at their lowest denominator (for example: pennies)"
    },
    "formatted": {
      "example": "£40.00",
      "description": "Money amount formatted with currency"
    },
    "currency": {
      "example": "GBP",
      "description": "Currency of the money"
    }
  },
  "progress": "68",
  "timeframe": "Within the year.",
  "complete_goal_by": "2027-05-19T18:31:18+01:00",
  "priority": "4",
  "shared_owner_type": "individual",
  "shared_owner": {
    "uuid": "d87060b2-0554-49cd-b96b-182924b3e16c",
    "created_at": "2026-05-19T18:31:18+01:00",
    "updated_at": "2026-05-19T18:31:18+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
    "firm": "App\\Http\\Resources\\FirmResource",
    "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
    "primary_email": "App\\Http\\Resources\\ContactDetailResource",
    "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
    "assigned_adviser": "App\\Http\\Resources\\AccountResource",
    "assigned_administrator": "App\\Http\\Resources\\AccountResource",
    "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
    "introduced_by": "App\\Http\\Resources\\AccountResource",
    "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
    "groups": "App\\Http\\Resources\\GroupResource",
    "tags": "App\\Http\\Resources\\TagResource",
    "owners": "App\\Http\\Resources\\AccountResource",
    "first_contact_date": "2026-05-19T18:31:18+01:00",
    "next_review_date": "2026-05-19T18:31:18+01:00",
    "previous_review_date": "2026-05-19T18:31:18+01:00",
    "anniversary_review_date": "2026-05-19T18:31:18+01:00",
    "terms_of_business_at": "2026-05-19T18:31:18+01:00",
    "client_agreement_at": "2026-05-19T18:31:18+01:00",
    "with_login": true,
    "has_joint_account": true,
    "can_be_deleted": "false",
    "joint_account_circle": "App\\Http\\Resources\\CircleResource",
    "circles": "App\\Http\\Resources\\CircleResource",
    "ownership_percentage": 100,
    "inactive_at": "2026-05-19",
    "last_interaction_at": "2026-05-19 18:31:18",
    "referral_code": "ABC12345",
    "permissions": {
      "firm:read": [
        "firm"
      ],
      "network:read": [
        "network:uuid"
      ]
    },
    "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
    "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
  }
}